Bug 169929 - sched_setscheduler() can't set real time priority
sched_setscheduler() can't set real time priority
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Don Howard
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-05 07:10 EDT by sawazaki
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:20:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sawazaki 2005-10-05 07:10:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; ja-JP; rv:1.7.6) Gecko/20050311 Firefox/1.0.1

Description of problem:
The process that calls sched_setscheduler() can not change its priority.
This bug was reported (Bug 68908) and fixed in Red Hat Linux 7.3 (or later).
But it has not been fixed in RHEL 2.1.



Version-Release number of selected component (if applicable):
kernel -2.4.9-e.65

How reproducible:
Always

Steps to Reproduce:
1.
Execute program shown below.
-----
#include <sched.h>
#include <errno.h>
main( int argc, char *argv[] )
{
        int sts ;
        struct sched_param      schedpara       ;
        schedpara.sched_priority = 1 ;
        sts = sched_setscheduler( 0 , SCHED_RR, &schedpara ) ;
        if( sts < 0 ){
                printf("sched_setscheduler failed(%d)\n", errno) ;
                exit(1) ;
        }
        sleep(60) ;
}
-----

2.
# cat /proc/[PID]/status
And check 18th field.

3.

Actual Results:  The 18th field is 20.
1195 (prio2) S 1104 1195 1104 34816 1196 8388864 18 0 72 0 0 0 0 0 20 0 0 0 357514  ...

Expected Results:  The 18th field is -2.
14660 (prio2) S 14381 14660 13785 34817 14661 256 22 0 63 0 0 0 0 0 -2 0 0 0 484452086 ...

Additional info:
Comment 1 RHEL Product and Program Management 2007-10-19 15:20:26 EDT
This bug is filed against RHEL2.1, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products.  Since
this bug does not meet that criteria, it is now being closed.

For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/

If you feel this bug is indeed mission critical, please contact your
support representative.  You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.